## spirv-headers 1.6.1+1.3.216.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.216.0-1~ubuntu0.22.04.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Jul 2023 07:35:02 -0400

spirv-headers (1.6.1+1.3.216.0-1~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1991761)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Oct 2022 19:13:10 +0300
