## spirv-headers 1.6.1+1.3.275.0+git20240228

=== debian/changelog ===
spirv-headers (1.6.1+1.3.275.0+git20240228-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1065551)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Mar 2024 18:08:31 +0200
