## spirv-headers 1.6.1+1.3.280.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.280.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Apr 2024 18:41:09 +0300
