## spirv-headers 1.6.1+1.3.283.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.283.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 May 2024 10:09:52 +0300
