## spirv-headers 1.6.1+1.3.290.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.290.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 11:16:56 +0300
