## spirv-headers 1.6.1+1.3.296.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.296.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:21:51 +0300
