## spirv-headers 1.6.1+1.4.304.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.304.0-1tux1) noble; urgency=medium

  * Non-maintainer upload.
  * rebuild for TUXEDO

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 27 Feb 2025 15:53:13 +0100

spirv-headers (1.6.1+1.4.304.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jan 2025 15:20:47 +0200
