## spirv-headers 1.6.1+1.4.309.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.309.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 12:20:13 -0700

spirv-headers (1.6.1+1.4.309.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1100751)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Mar 2025 14:31:30 +0200
