=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: spirv-headers
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Build-Depends: debhelper-compat (=13),
- cmake,
+Build-Depends: cmake, debhelper-compat (=13)
 Standards-Version: 4.6.0
 Homepage: https://github.com/KhronosGroup/SPIRV-Headers
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-headers.git
