=== debian/changelog ===
spirv-headers (1.6.1+1.4.321.0-2) unstable; urgency=medium

  * patches: Added a patch for spirv-llvm-translator. (Closes: #1111123)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Aug 2025 11:51:52 +0300

spirv-headers (1.6.1+1.4.321.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Aug 2025 06:41:27 +0300
