=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%spirv-headers-$1.tar.gz%" \
   https://github.com/KhronosGroup/spirv-headers/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz
