=== debian/changelog ===
spirv-headers (1.6.1+1.4.328.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Oct 2025 12:35:55 +0200
