## spirv-headers 1.6.1+1.4.335.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.335.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 11:30:00 +0200
