## spirv-headers 1.6.1+1.4.341.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.341.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2026 10:55:40 +0200
